## gnome-shell-extension-appindicator 50

=== debian/changelog ===
gnome-shell-extension-appindicator (50-1) unstable; urgency=medium

  * New upstream release
  * appIndicator: Use GtkIconTheme to laod symbolic icons if colors are set
  * appIndicator: Use theme-based flags to look for the iconInfo
  * appIndicator: Avoid repeating the icon info lookup multiple times
  * appIndicator: Use St.IconTheme if available (required by GNOME 44)
  * util: Do not wait for display-opened if St.IconTheme is used
  * trayIconsManger: Add an option to disable legacy tray icons
  * appIndicator: Avoid using indicator properties after destruction
  * appIndicator: Do not try to initialize an indicator not in stage yet
  * debian/patches: Update pot file

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Tue, 07 Mar 2023 02:51:29 +0100

gnome-shell-extension-appindicator (49-1) unstable; urgency=medium

  * New upstream release
  * appIndicator: Make sure AppIndicatorProxy init_async is a wrapper
  * dbusMenu: Unset shellItem icon property on destruction
  * dbusMenu: cleanup StIcon initialization
  * appIndicator: Keep retrying till MAX retries to get needed properies
  * promiseUtils: Update promisify polyfill to last gjs version
  * util: Add utility function to refresh all properties on proxy
  * appIndicator: Move proxy specific methods to AppIndicatorProxy
  * appIndicator: Avoid dynamically initialized proxy parameters
  * util: Add CancellableChild
  * appIndicator: Use CancellableChild for property operations
  * appIndicator: Set properties we depend on
  * appIndicator: Use cancellable child to handle icons loading cancellation
  * appIndicator: Simplify argbToRgba code to use less promises
  * appIndicator: Consider Resource scale to pick right icon size
  * appIndicator: Log error for overlay icons loading error too
  * iconCache: Actually perform Garbage Collection
  * iconCache: Ensure GC is repeated if there are items to clear
  * iconCache: Keep track of active icons inside the cache
  * appIndicator: Avoid creating prototypes for simple objects
  * appIndicator: Manually load the file icons as GdkPixbuf (LP: #1991709)
  * appIndicator: Disable caching of Gio.FileIcons textures
  * iconCache: Increase GC interval and icon lifetime
  * iconCache, appIndicator: Update active state for any icon cached
  * appIndicator: Add more class elements for repeated data
  * appIndicator: Use better naming for function refreshing proxy properties
  * appIndicator: Use an object to hold returned icon parameters
  * appIndicator: Never deep unpack pixmaps properties
  * appIndicator: Move pixmap-related functions to a custom file
  * appIndicator: Unset cached properties on proxy destruction
  * appIndicator: Freeze objects used as enums
  * appIndicator: Free the cached pixmaps variants when not needed
  * appIndicator: Load icons as pixbufs using the required height only
  * appIndicator: Avoid getting icon scaling multiple times

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Fri, 03 Mar 2023 03:39:23 +0100

gnome-shell-extension-appindicator (47-1) unstable; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * New upstream release
  * eslint: Use ecmaVersion 2017 (and fix incompatible code)
  * appIndicator: cleanup, move global definitions as static getters
  * appIndicator: Ignore unknown property errors for optional properties
  * promiseUtils: Include promise creation stack information on error
  * appIndicator: Ignore cancellation errors during proxy queue update
  * appIndicator: Use more async love in to call accumulated signal updates
  * appIndicator: Include more errors that may trigger indicator destruction
  * appIndicator: Move some custom proxy logic to own class
  * appIndicator: Ignore any irrelevant signal if we're in passive state
  * appIndicator: Avoid doing signal => property translation multiple times
  * appIndicator: Move proxy-only-related features to AppIndicatorProxy
  * appIndicator: Handle promise errors without using invalidated properties
  * utils: Avoid accessing possibly invalidated properties
  * appIndicator: Pass cancellable to function to create icon by path
  * appIndicator: Support indicator-multiload again (LP: #1988791)
  * appIndicator: Do not override paint vfunc unless in specific cases
  * testTool: Cleanup created temporary files and directories on shutdown
  * indicatorStatusIcon: Factorize more common code to BaseStatusIcon
  * indicatorStatusIcon: Ensure tray icons respect the global size values
  * dbusMenu: Load menu items pixbufs using async loader
  * statusNotifierWatcher: Do not try to use a destroyed indicator
  * indicatorStatusIcon: Use a timeout promise for double-click wait
  * util: Replace String.replaceAll with a common polyfill
  * util: Handle null cached properties when updating properties
  * debian/patches: drop applied patches

  [ Balázs Úr ]
  * Update Hungarian translation

  [ K.B.Dharun Krishna ]
  * locale: add Tamil translation

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Fri, 24 Feb 2023 07:24:11 +0100

gnome-shell-extension-appindicator (46-2) unstable; urgency=medium

  * Add patch to mark compatible with GNOME Shell 44
  * debian/control.in: Allow installing with GNOME Shell 44
  * Update standards version to 4.6.2, no changes needed

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 17 Feb 2023 09:52:55 -0500

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
#
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: gnome-shell-extension-appindicator
Section: gnome
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Matteo F. Vescovi <mfv@debian.org>, Marco Trevisan <marco@ubuntu.com>, Iain Lane <laney@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-gnome,
 jq,
 libglib2.0-bin,
 meson,
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://github.com/ubuntu/gnome-shell-extension-appindicator
Vcs-Browser: https://salsa.debian.org/gnome-team/shell-extensions/gnome-shell-extension-appindicator
Vcs-Git: https://salsa.debian.org/gnome-team/shell-extensions/gnome-shell-extension-appindicator.git

Package: gnome-shell-extension-appindicator
Architecture: all
Depends:
 gnome-shell (>= 3.33),
 gnome-shell (<< 45~),
 ${shlibs:Depends},
 ${misc:Depends}
Suggests:
 gnome-shell-extension-prefs,
 libappindicator3-1,
 libayatana-appindicator3-1,
Description: AppIndicator, KStatusNotifierItem and tray support for GNOME Shell
 This extension integrates Ubuntu AppIndicators and KStatusNotifierItems
 (KDE's blessed successor of the systray) and legacy tray icons into
 GNOME Shell.
 .
 Features:
 .
  - show indicator icons in the panel
  - reveal indicator menus upon click
  - double clicking an icon will activate the application window
    (if implemented by the indicator)
  - middle mouse click an icon to send a 'SecondaryActivate' event
    to the application. Support needs to be implemented in the application
  - supports legacy tray icons
  - icons can be themed, resized and effects can be applied

## gnome-shell-extension-appindicator 53

=== debian/changelog ===
gnome-shell-extension-appindicator (53-1) experimental; urgency=medium

  * New upstream release
  * appIndicator: Wait for style change if no stage is set
  * appIndicator: Reuse already imported namespaces
  * appIndicator Use Clutter to load RGBA Pixmap textures natively
  * appIndicator: Simplify loading of custom image files (LP: #784055, #1973358)
  * dbusMenu: Use more dbus async methods
  * interfaces-xml: Comment out the signal definitions (avoids gjs signals)
  * dbusMenu: Do not update menu items while the menu is closed
  * Util: Do not recreate the default theme each time
  * appIndicator: Only update icon size when it matters
  * appIndicator: Only perform updating actions if we're fully ready
  * appIndicator: Ensure St.Icon loading icon size matches theme and preferences
  * appIndicator: return the previous GIcon if something failed
  * appIndicator: Refactor named icons lookup and loading
  * appIndicator: Use correct update frequency on signals accumulator
  * appIndicator: Ensure that property emissions are queued together
  * dbusMenu: Use cancellable's to handle subsequent requests
  * dbusMenu: Populate menus in chunked idles
  * statusNotifierWatcher: Properly handle null services
  * dbusUtil: Filter introspectable bus by interfaces if provided
  * dbusUtils: Use more reasonable timeout for introspection
  * util: Use a recursive async generator to get introspection results
  * statusNotifierWatcher: Remove idle promise on bus seeking
  * debian/patches: Drop applied upstream

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Mon, 13 Mar 2023 20:21:32 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Section: gnome
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Matteo F. Vescovi <mfv@debian.org>, Marco Trevisan <marco@ubuntu.com>, Iain Lane <laney@debian.org>
+Uploaders: Matteo F. Vescovi <mfv@debian.org>, Marco Trevisan <marco@ubuntu.com>, Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-gnome,

## gnome-shell-extension-appindicator 57

=== debian/changelog ===
gnome-shell-extension-appindicator (57-2) experimental; urgency=medium

  * Cherry-pick patch to support GNOME Shell 46
  * Bump maximum GNOME Shell version to 46
  * Stop using debian/control.in and dh_gnome_clean

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 19 Feb 2024 07:42:06 -0500

gnome-shell-extension-appindicator (57-1) experimental; urgency=medium

  * New upstream release
  * settingsManager: Avoid using run_dispose() manually
  * extension: Remove unneeded logging
  * statusNotifierWatcher: Fix disabling errors

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Fri, 18 Aug 2023 01:23:48 +0200

gnome-shell-extension-appindicator (54-1) experimental; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * New upstream release
  * appIndicator: Do not warn on cancelled operation
  * dbusMenu: Use Clutter.ActorAlign instead of undefined St.Align
  * extension: Port to ESM module usage
  * eslint: Sync with current upstream gjs and shell rules
  * extension: Remove various version-dependent checks
  * cleanup: Use Signals.EventEmitter instead of changing the prototypes
  * indicatorStatusIcon: Do not use event fields directly
  * indicatorStatusIcon: Always try to use activation unless if marked as supported
  * meson: Check files on source dir only
  * debian/control: Update dependency on gnome-shell 45 (only)
  * debian/patches: Refresh
  * debian/patches: Update lint rules to work with debian

  [ Sabri Ünal ]
  * Update Turkish translation

  [ Karpfly ]
  * update PL translation

  [ Dee.H.Y ]
  * Update Chinese translation

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 17 Aug 2023 04:59:02 +0200

gnome-shell-extension-appindicator (53-2) unstable; urgency=medium

  * Upload to unstable (Closes: #1038040)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Fri, 16 Jun 2023 18:10:47 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,8 @@
-# This file is autogenerated. DO NOT EDIT!
-#
-# Modifications should be made to debian/control.in instead.
-# This file is regenerated automatically in the clean target.
 Source: gnome-shell-extension-appindicator
 Section: gnome
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Matteo F. Vescovi <mfv@debian.org>, Marco Trevisan <marco@ubuntu.com>, Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>
+Uploaders: Matteo F. Vescovi <mfv@debian.org>, Marco Trevisan (Treviño) <marco@ubuntu.com>, Jeremy Bícha <jbicha@ubuntu.com>
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-gnome,
@@ -22,8 +18,8 @@
 Package: gnome-shell-extension-appindicator
 Architecture: all
 Depends:
- gnome-shell (>= 3.33),
- gnome-shell (<< 45~),
+ gnome-shell (>= 45~),
+ gnome-shell (<< 47~),
  ${shlibs:Depends},
  ${misc:Depends}
 Suggests:

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/gnome-shell-extension-appindicator-$1\.tar\.gz/ \
https://github.com/ubuntu/gnome-shell-extension-appindicator/tags .*/v?(\d\S+)\.tar\.gz

## gnome-shell-extension-appindicator 58

=== debian/changelog ===
gnome-shell-extension-appindicator (58-1ubuntu24.04.1) noble; urgency=medium

  [ Alessandro Astone ]
  * debian: Backport patch to silence logspam (LP: #2064698)

  [ Marco Trevisan (Treviño) ]
  * debian: Update VCS references to noble branch
  * debian/control: Update Maintainers

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Tue, 10 Sep 2024 12:52:13 +0200

gnome-shell-extension-appindicator (58-1) unstable; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * New upstream release to fully support GNOME 46
  * appIndicator: Try to introspect the application for Activate method support.
    (LP: #2042844)
  * dbusMenu: Handle missing AboutToShow gracefully (LP: #2042844).
  * debian/patches: Drop applied upstream

  [ Peter Dave Hello ]
  * Add zh_TW Traditional Chinese locale

  [ Jing Wang ]
  * Fix first click being treated as both a single and double click
    (LP: #2059819)

  [ Sergio Costas Rodriguez ]
  * Replace add_actor and remove_actor (LP: #2059818).

  [ Yevhen Popok ]
  * Add Ukrainian translation

  [ BlankParticle ]
  * Reset DBusItem Properties before applying new changes

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 18 Apr 2024 23:10:08 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: gnome-shell-extension-appindicator
 Section: gnome
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Matteo F. Vescovi <mfv@debian.org>, Marco Trevisan (Treviño) <marco@ubuntu.com>, Jeremy Bícha <jbicha@ubuntu.com>
 Build-Depends:
  debhelper-compat (= 13),
@@ -12,8 +13,10 @@
 Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://github.com/ubuntu/gnome-shell-extension-appindicator
-Vcs-Browser: https://salsa.debian.org/gnome-team/shell-extensions/gnome-shell-extension-appindicator
-Vcs-Git: https://salsa.debian.org/gnome-team/shell-extensions/gnome-shell-extension-appindicator.git
+XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/shell-extensions/gnome-shell-extension-appindicator.git
+XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/shell-extensions/gnome-shell-extension-appindicator
+Vcs-Git: https://salsa.debian.org/gnome-team/shell-extensions/gnome-shell-extension-appindicator.git -b ubuntu/latest
+Vcs-Browser: https://salsa.debian.org/gnome-team/shell-extensions/gnome-shell-extension-appindicator/tree/ubuntu/noble
 
 Package: gnome-shell-extension-appindicator
 Architecture: all

## gnome-shell-extension-appindicator 59

=== debian/changelog ===
gnome-shell-extension-appindicator (59-3) unstable; urgency=medium

  * Cherry-pick proposed patch for GNOME 48 support
  * Bump maximum GNOME Shell to 48

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 13 Feb 2025 12:55:40 -0500

gnome-shell-extension-appindicator (59-2) unstable; urgency=medium

  * Team upload
  * debian: Backport patch to silence logspam (LP: #2064698)

 -- Alessandro Astone <alessandro.astone@canonical.com>  Wed, 04 Sep 2024 17:42:21 -0400

gnome-shell-extension-appindicator (59-1) unstable; urgency=medium

  * New upstream release:
    - Support for GNOME Shell 47
    - Fix handling of light panel background
  * debian/patches: Refresh, dropping applied upstream

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Mon, 05 Aug 2024 23:16:25 +0200

gnome-shell-extension-appindicator (58-2) unstable; urgency=medium

  * Add patch to mark compatible with GNOME Shell 47
  * Bump maximum GNOME Shell version to 47
  * Bump Standards Version to 4.7.0

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 05 Aug 2024 14:02:24 -0400

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: gnome-shell-extension-appindicator
 Section: gnome
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Matteo F. Vescovi <mfv@debian.org>, Marco Trevisan (Treviño) <marco@ubuntu.com>, Jeremy Bícha <jbicha@ubuntu.com>
 Build-Depends:
  debhelper-compat (= 13),
@@ -10,19 +9,17 @@
  jq,
  libglib2.0-bin,
  meson,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://github.com/ubuntu/gnome-shell-extension-appindicator
-XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/shell-extensions/gnome-shell-extension-appindicator.git
-XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/shell-extensions/gnome-shell-extension-appindicator
-Vcs-Git: https://salsa.debian.org/gnome-team/shell-extensions/gnome-shell-extension-appindicator.git -b ubuntu/latest
-Vcs-Browser: https://salsa.debian.org/gnome-team/shell-extensions/gnome-shell-extension-appindicator/tree/ubuntu/noble
+Vcs-Browser: https://salsa.debian.org/gnome-team/shell-extensions/gnome-shell-extension-appindicator
+Vcs-Git: https://salsa.debian.org/gnome-team/shell-extensions/gnome-shell-extension-appindicator.git
 
 Package: gnome-shell-extension-appindicator
 Architecture: all
 Depends:
  gnome-shell (>= 45~),
- gnome-shell (<< 47~),
+ gnome-shell (<< 49~),
  ${shlibs:Depends},
  ${misc:Depends}
 Suggests:

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_install:
	dh_auto_install
	find debian -name gschemas.compiled -print -delete

# Currently the only test is to run eslint, which is a lint tool rather
# than a unit test
override_dh_auto_test:

override_dh_gnome_clean:

## gnome-shell-extension-appindicator 60

=== debian/changelog ===
gnome-shell-extension-appindicator (60-1) unstable; urgency=medium

  * New upstream release
  * d/p: Refresh patches
  * d/p: Add initial support for gnome-shell 49

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Tue, 08 Jul 2025 02:39:26 +0200

gnome-shell-extension-appindicator (59-4) unstable; urgency=medium

  * Automatically update supported GNOME Shell versions by parsing metadata.json

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 11 Apr 2025 14:37:42 -0400

## gnome-shell-extension-appindicator 60+really.59

=== debian/changelog ===
gnome-shell-extension-appindicator (60+really.59-4) unstable; urgency=medium

  * Re-upload 59-based version to unstable.
    Version 60 got in by mistake, even though it does not contain relevant
    changes from what was already in unstable, it's better to just go back
    to where we were.
  * debian: Update references to the stable branch

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Tue, 08 Jul 2025 16:32:14 +0200

=== debian/control ===
--- 
+++ 
@@ -12,15 +12,14 @@
 Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://github.com/ubuntu/gnome-shell-extension-appindicator
-Vcs-Browser: https://salsa.debian.org/gnome-team/shell-extensions/gnome-shell-extension-appindicator
-Vcs-Git: https://salsa.debian.org/gnome-team/shell-extensions/gnome-shell-extension-appindicator.git
+Vcs-Browser: https://salsa.debian.org/gnome-team/shell-extensions/gnome-shell-extension-appindicator/tree/debian/stable
+Vcs-Git: https://salsa.debian.org/gnome-team/shell-extensions/gnome-shell-extension-appindicator.git -b debian/stable
 
 Package: gnome-shell-extension-appindicator
 Architecture: all
 Depends:
- gnome-shell (>= 45~),
- gnome-shell (<< 49~),
- ${shlibs:Depends},
+ gnome-shell (>= ${gnome:MinimumVersion}~),
+ gnome-shell (<< ${gnome:MaximumVersion}~),
  ${misc:Depends}
 Suggests:
  gnome-shell-extension-prefs,

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

execute_after_dh_auto_install:
	find debian -name gschemas.compiled -print -delete

# Currently the only test is to run eslint, which is a lint tool rather
# than a unit test
override_dh_auto_test:

override_dh_gencontrol:
	dh_gencontrol -- \
		-Vgnome:MinimumVersion=$(shell python3 -c "import json; print(min(int(x) for x in json.load(open('metadata.json', 'rt'))['shell-version']))") \
		-Vgnome:MaximumVersion=$(shell python3 -c "import json; print(1+max(int(x) for x in json.load(open('metadata.json', 'rt'))['shell-version']))")

override_dh_gnome_clean:

## gnome-shell-extension-appindicator 60+really.60

=== debian/changelog ===
gnome-shell-extension-appindicator (60+really.60-0ubuntu1) questing; urgency=medium

  * Merge with debian (old version has been restored there)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Fri, 11 Jul 2025 04:49:50 +0200

gnome-shell-extension-appindicator (42-3ubuntu2) kinetic; urgency=medium

  * debian/patches: Hide icons when state changes to passive or name is lost
    (LP: #1991263)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 29 Sep 2022 23:58:35 +0200

gnome-shell-extension-appindicator (42-3ubuntu1) kinetic; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * debian: Update for ubuntu branching
  * extension: Cleanup indicators leftovers on startup
  * cleanup: Catch more errors on promises rejections
  * indicatorStatusIcon: Handle double clicks in GNOME 42 (LP: #1990882)
  * dbusMenu: pass the activation timestamp to the event handler
  * indicatorStatusIcon: Add icons to status area once created
  * trayIconsManager: Just use native container to keep track of tray icons
  * trayIconsManager: Destroy panel parent icon instead of the child on removal
    (LP: #1988315)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Mon, 26 Sep 2022 22:02:36 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: gnome-shell-extension-appindicator
 Section: gnome
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Matteo F. Vescovi <mfv@debian.org>, Marco Trevisan (Treviño) <marco@ubuntu.com>, Jeremy Bícha <jbicha@ubuntu.com>
 Build-Depends:
  debhelper-compat (= 13),
@@ -12,8 +13,10 @@
 Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://github.com/ubuntu/gnome-shell-extension-appindicator
-Vcs-Browser: https://salsa.debian.org/gnome-team/shell-extensions/gnome-shell-extension-appindicator/tree/debian/stable
-Vcs-Git: https://salsa.debian.org/gnome-team/shell-extensions/gnome-shell-extension-appindicator.git -b debian/stable
+XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/shell-extensions/gnome-shell-extension-appindicator
+XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/shell-extensions/gnome-shell-extension-appindicator.git
+Vcs-Browser: https://salsa.debian.org/gnome-team/shell-extensions/gnome-shell-extension-appindicator/tree/ubuntu/latest
+Vcs-Git: https://salsa.debian.org/gnome-team/shell-extensions/gnome-shell-extension-appindicator.git -b ubuntu/latest
 
 Package: gnome-shell-extension-appindicator
 Architecture: all

## gnome-shell-extension-appindicator 61

=== meson_options.txt ===
option('local_install',
    type: 'feature',
    value : 'auto')

=== debian/changelog ===
gnome-shell-extension-appindicator (61-2) unstable; urgency=medium

  * New upstream release (Closes: #1115746)
  * debian/watch: Convert to Version: 5
  * Remove GNOME 49 patch: applied in new release
  * Remove obsolete Rules-Requires-Root: no field
  * Bump Standards Version to 4.7.2

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 18 Sep 2025 23:55:21 -0400

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: gnome-shell-extension-appindicator
 Section: gnome
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Matteo F. Vescovi <mfv@debian.org>, Marco Trevisan (Treviño) <marco@ubuntu.com>, Jeremy Bícha <jbicha@ubuntu.com>
 Build-Depends:
  debhelper-compat (= 13),
@@ -10,13 +9,10 @@
  jq,
  libglib2.0-bin,
  meson,
-Standards-Version: 4.7.0
-Rules-Requires-Root: no
+Standards-Version: 4.7.2
 Homepage: https://github.com/ubuntu/gnome-shell-extension-appindicator
-XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/shell-extensions/gnome-shell-extension-appindicator
-XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/shell-extensions/gnome-shell-extension-appindicator.git
-Vcs-Browser: https://salsa.debian.org/gnome-team/shell-extensions/gnome-shell-extension-appindicator/tree/ubuntu/latest
-Vcs-Git: https://salsa.debian.org/gnome-team/shell-extensions/gnome-shell-extension-appindicator.git -b ubuntu/latest
+Vcs-Browser: https://salsa.debian.org/gnome-team/shell-extensions/gnome-shell-extension-appindicator
+Vcs-Git: https://salsa.debian.org/gnome-team/shell-extensions/gnome-shell-extension-appindicator.git
 
 Package: gnome-shell-extension-appindicator
 Architecture: all

=== debian/watch ===
Version: 5
Template: Github
Owner: ubuntu
Project: @PACKAGE@
